Bug 124141 - [ACPI] Asus L8400L laptop does not resume from ACPI Suspend-to-RAM
[ACPI] Asus L8400L laptop does not resume from ACPI Suspend-to-RAM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 10:06 EDT by Pavel Tsekov
Modified: 2015-01-04 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:23:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
'lspci' output (884 bytes, text/plain)
2004-05-24 10:08 EDT, Pavel Tsekov
no flags Details
'lspci -v' output (3.65 KB, text/plain)
2004-05-24 10:09 EDT, Pavel Tsekov
no flags Details
'dmesg' output (10.33 KB, text/plain)
2004-05-24 10:11 EDT, Pavel Tsekov
no flags Details

  None (edit)
Description Pavel Tsekov 2004-05-24 10:06:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
After issuing either "echo mem > /sys/power/state" or
"echo 3 > /proc/acpi/sleep" apparently the machine goes
to sleep (the disk stops, the monitor goes off, the cpu
fan stops, the power indicator starts blinking, etc).
Next I try to ressurect it by pushing the power button.
From what i can tell it tries to resume (the disk starts,
the cpu fan starts, the power indicator stops blinking)
but it fails to complete - the monitor is still off and
the machine seems pretty much dead and needs to be powered
off and started again.

Version-Release number of selected component (if applicable):
kernel-2.6.6-1.370

How reproducible:
Always

Steps to Reproduce:
1. echo mem > /sys/power/state
    

Actual Results:  The laptop fails to resume when suspended to ram.

Expected Results:  The laptop should resume.

Additional info:
Comment 1 Pavel Tsekov 2004-05-24 10:08:46 EDT
Created attachment 100494 [details]
'lspci' output
Comment 2 Pavel Tsekov 2004-05-24 10:09:35 EDT
Created attachment 100495 [details]
'lspci -v' output
Comment 3 Pavel Tsekov 2004-05-24 10:11:20 EDT
Created attachment 100496 [details]
'dmesg' output
Comment 4 Pavel Tsekov 2004-05-24 10:14:00 EDT
JFYI, resuming from "echo standby > /sys/power/state" works just fine.
Comment 5 Arjan van de Ven 2004-05-25 07:01:33 EDT
Can you try the 383 kernel from http://people.redhat.com/arjanv/2.6
it has some suspend/resume enhancements....
Comment 6 Pavel Tsekov 2004-05-25 10:22:26 EDT
I've downloaded and installed kernel-2.6.6-1.383.i686.rpm .It behaves
identically as much as I can see. The system still cannot fully restore
from Suspend-to-RAM (in particulary the screen remains blank and the
system is non-controlable, but the network TCP/IP stack responds
to ping request send over the network).

Any further hints on how to proceed ? I'd be happy to help tracking
this one.
Comment 7 Arjan van de Ven 2004-05-29 04:20:13 EDT
Keep tracking the kernels on that URL, I'm working on suspend stuff in
them :)
It's not quite all there yet but it's one small step at a time :(
Comment 8 David Lowe 2004-05-30 09:22:33 EDT
I have a similar problem on a Dell Inspiron 4150 laptop. To test this,
I switch to a console display. Under ACPI, suspend to mem, and then
resume leaves me with a blank display. I am able to reboot using
Ctrl-Alt-Del (which seems to be an improvement that appeared with the
new test kernels). 

Switching displays using Ctrl-Alt-F7 lights up the display which
appears all white with some black vertical lines. Switching back to
console with Ctrl-Alt-F1 again leaves me with a garbled display.
I have a Radeon Mobility M7 graphics card (similar to Comment #2, but
not identical).

Suspend to RAM works fine under APM.

Comment 9 Pavel Tsekov 2004-06-09 09:12:56 EDT
Still no good with -422 .. will continue to test more kernels as they
come.
Comment 10 Dave Jones 2004-12-07 00:55:26 EST
any improvement in the 2.6.9 errata kernels ?
Comment 11 Dave Jones 2005-04-16 00:23:28 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.